package cz.moneta.test.dsl.cagw.oauth2.token;

import cz.moneta.test.dsl.cagw.CaGwAuthRequest;
import cz.moneta.test.harness.support.rest.CallType;
import cz.moneta.test.harness.support.rest.Post;

@Deprecated
@Post(value = "/oauth2/token", callType = CallType.FORM)
public interface Oauth2Token extends CaGwAuthRequest<Oauth2Token, Oauth2TokenRequest, Oauth2TokenResponse> {

    Oauth2Token code(String code);

    Oauth2Token client_id(String clientId);

    Oauth2Token client_secret(String client_secret);

    Oauth2Token grant_type(String grant_type);
}
